@media only screen and (max-width:1180px) {
/****************************
 * Common
****************************/
/* open/close */
html:not(.menu-open) .ifs-menu-mobile {visibility:hidden; opacity:0;}

/* wrapper */
.ifs-menu-mobile-container {
    max-width:var(--ifs-mobile-menu-width);
    padding-top:calc(var(--ifs-header-height) + var(--admin-bar-height));
    background-color:var(--ifs-color-dark-green);
}
html:not(.menu-open) .ifs-menu-mobile-container {transform:translateX(-105%);}

/* section */
.ifs-menu-mobile__section {
    padding:var(--ifs-gap-container);
}
.ifs-menu-mobile__section.top {padding-bottom:12px;}
.ifs-menu-mobile__section.bottom {border-top:1px solid rgba(255,255,255,.2); gap:20px;}

/* Accordion Button */
.open-sub-menu {background:none; padding:5px;}
.open-sub-menu.active {transform:rotate(180deg);}
.open-sub-menu.active, .open-sub-menu:hover {color:var(--ifs-color-primary);}

/* Toggle menu */
.ifs-menu-mobile-toggle_menu {
    background-color:rgba(0, 0, 0, 0.3);
}

/****************************
 * Menu
****************************/
/* Common Menu */
.mobile-menu ul > li:not(:last-child), .mobile-menu:not(:last-child) {
    margin-bottom:10px; padding-bottom:10px;
    border-bottom:1px solid rgba(255, 255, 255, .2);
}
.mobile-menu ul > li > :where(a, span) {
    padding:5px 0; color:var(--ifs-color-white)
}
.mobile-menu ul > li[class*="current-"] > :where(a, span) {font-weight:700; color:var(--ifs-color-green);}
.mobile-menu ul > li > a:hover, .mobile-menu ul > li > a:focus {color:var(--ifs-color-green);}

/* Common Sub Menu */
.mobile-menu ul.sub-menu {margin-top:5px; padding-top:5px; padding-left:15px; display:none;}
.mobile-menu ul.sub-menu > li:first-child {padding-top:10px; border-top:1px solid rgba(255, 255, 255, .1);}
.mobile-menu ul.sub-menu > li:not(:last-child) {border-color:rgba(255, 255, 255, .1);}

/* Menu level 1 */
.mobile-menu ul.menu > li > a {}


/****************************
 * Menu Has Child
****************************/
.menu-item-has-children > a {order:1; max-width:calc(100% - 40px);}
.menu-item-has-children > .menu-item-arrow {order:2; width:40px;}
.menu-item-has-children > ul {order:3;}

/* Arrow button */
.menu-item-arrow { display:flex;align-items:center;justify-content:flex-end;}
.menu-item-arrow__button {
    font-size:12px; color:var(--ifs-color-white);
    padding:5px; margin-right:-5px; display:flex;
    background:transparent;
}
.menu-item-arrow__button i {display:inline-block; transition:transform .3s ease;}
.menu-item-arrow__button.active i {transform:rotate(180deg);}

/****************************
 * Mobile Menu Responsive
****************************/
html.menu-open {overflow:hidden; height:100%;}
.ifs-menu-mobile.hidden {display:block;}

/* block > language switcher */
.ifs-menu-mobile-block.ifs-language-switcher ul {gap:16px;}
.ifs-menu-mobile-block.ifs-language-switcher ul .ifs-language-switcher-item {padding:0;}

@media screen and (max-width:480px) {
    .ifs-menu-mobile-container {max-width:100%;}
}
}
